package cn.wps.moffice.service.doc;

import android.content.Intent;
import cn.wps.moffice.service.doc.Document;

//当前在 Word 中打开的所有 Document 对象的集合。
interface Documents
{
	//添加一个文档
	void add(Document document);
	
	//打开一个文档
	Document openDocument(String docPath, String password, in Intent intent);
	
	//关闭集合中的所有文档
	void close();
	
	//返回集合中Documnet的数量
	int getCount();
	
	//返回集合中的单个 Documnet 对象。
	Document getDocument(int n);
}