package cn.wps.moffice.service.doc;

import cn.wps.moffice.service.doc.WrapType;
//
interface Shapes
{

	/**
	 * @param filePath: 图片路径
	 * @param linkToFile:如果为 True，则将图片链接到创建它的文件；如果为 False，则使图片成为该文件的独立副本。默认值为 False。
	 * @param saveWithDocument:如果为 True，则将链接的图片与文档一起保存。默认值为 False。
	 * @param left ：图片左边缘
	 * @param top：图片上边缘
	 * @param width：图片宽度
	 * @param height：图片高度
	 * @param cp：图片插入点
	 * @param WrapType：绕排类型，只能取值：Square, Tight,  TopOfText, BottomOfText
	 */
	void addPicture(String filePath, boolean linkToFile, boolean saveWithDocument,
	                float left, float top, float width, float height, int cp, in WrapType wrapType);
}