package cn.wps.moffice.service.doc.table;

//specifies which components of the table style are applied to the current table
interface TableLook
{
	//设置是否对指定表格的第一行应用第一行的格式
	void setFirstRow(boolean bFirst);
	
	//获	取是否对指定表格的第一行应用第一行的格式
	boolean getFirstRow();
	
	//设置是否对指定表格的最后一行应用最后一行的格式
	void setLastRow(boolean bLast);
	
	//获	取是否对指定表格的最后一行应用最后一行的格式
	boolean getLastRow();
	
	//设置是否对指定表格的第一列应用第一列的格式
	void setFirstColumn(boolean bFirst);
	
	//获取是否对指定表格的第一列应用第一列的格式
	boolean getFirstColumn();
	
	//设置是否对指定表格的最后一列应用最后一列的格式
	void setLastColumn(boolean bLast);
	
	//获	取是否对指定表格的最后一列应用最后一列的格式
	boolean getLastColumn();
	
	//设置是否对表中的行应用样式带
	void setRowBand(boolean bBand);
	
	//获取是否对表中的行应用样式带
	boolean getRowBand();
	
	//设置是否对表中的列应用样式带
	void setColumnBand(boolean bBand);
	
	//获取是否对表中的列应用样式带
	boolean getColumnBand();
}