package cn.wps.moffice.service.excel;

import cn.wps.moffice.service.excel.Worksheet;

//单个工作薄的操作接口
interface Workbook
{
	//关闭文档
	void close();
	
	//获取完整路径
	String getPath();
	
	//获取名字
	String getName();
	
	//获取工作表的个数
	int getWorkSheetCount();
	
	//获取第n个工作表(索引从0开始)
	Worksheet getWorksheet(int n);
	
	//另存为
	int saveAs(String outpath, String tempDir, String backupDir, int suffix);
	

	// 清除计算结果
	void clearFormulaResults();

	// 重算(仅计算脏标记标记的公式)
	void calculate();
	
	// 全部重算
	void calculateAll();
}