package cn.wps.moffice.service.test;

interface TestRecogniseResult {

	//获取布尔识别结果
	boolean getBoolValue() ;
	
	//获取数值识别结果
	double getDblValue() ;
	
	//获取文本识别结果
	String getStrValue() ;
	
	//是否有日期标志
	boolean hasDateFlag() ;
	
	//是否有时间标志
	boolean hasTimeFlag() ;
	
	//是否有货币标志
	boolean hasCurrencyFlag() ;
	
	//是否有错误标志
	boolean hasErrorFlag() ;
	
	//是否有百分号标志
	boolean hasPercentageFlag() ;
	
	//是否有分数标志
	boolean hasFractionFlag() ;
	
	//是否有超链接标志
	boolean hasHyperlinkFlag() ;

}