package cn.wps.moffice.client;


import cn.wps.moffice.client.OfficeInputStream;
import cn.wps.moffice.client.OfficeOutputStream;
import cn.wps.moffice.client.ActionType;

interface OfficeEventListener
{
    int onOpenFile( in String path, in OfficeOutputStream output);
	
	int onSaveFile( in OfficeInputStream input, in String path);
	
    int onCloseFile();
    
    //编辑消息回调机制，
    
    boolean isActionAllowed(in String path, in ActionType type);
    
    //华为添加新接口，实现多个包名验证
    boolean isValidPackage(in String originalPackage, in String thirdPackage);
}
