package cn.wps.moffice.service.doc;

import cn.wps.moffice.service.doc.LineSpacingRule;
import cn.wps.moffice.service.doc.OutlineLevel;
import cn.wps.moffice.service.doc.Alignment;

//段落操作接口
interface ParagraphFormat
{
	void setAlignment(in Alignment align);
	
	Alignment getAlignment();
	
	void setLineSpacing(float lineSpacing);
	
	float getLineSpacing();
	
	void setLineSpacingRule(in LineSpacingRule rule);
	
	LineSpacingRule getLineSpacingRule();
	
	void setFirstLineIndent(float indent);
	
	float getFirstLineIndent();
	
	void setLeftIndent(float indent);
	
	float getLeftIndent();
	
	void setRightIndent(float indent);
	
	float getRightIndent();
	
	void setSpaceBefore(float space);
	
	float getSpaceBefore();
	
	void setSpaceBeforeAuto(boolean auto);
	
	boolean getSpaceBeforeAuto();
	
	void setSpaceAfter(float space);
	
	float getSpaceAfter();
	
	void setSpaceAfterAuto(boolean auto);
	
	boolean getSpaceAfterAuto();
	
	void setOutlineLevel(in OutlineLevel level);
	
	OutlineLevel getOutlineLevel();
}