package cn.wps.moffice.service.doc;

import cn.wps.moffice.service.doc.InlineShapes;
//文档当前选区
interface Selection
{
	InlineShapes getInlineShapes();
	
	void copy();
	
	void cut();
	
	void paste();

	//将指定文本插入所选位置。
	void typeText(String text);
	
	//返回Range中的所有字符
	String getText();
	
	//用新段落替换指定的所选内容。
	void insertParagraph();
	
	//获取选取当前的位置： Left， Top， 相对页面
	float getLeft();
	float getTop();
}