package cn.wps.moffice.service.doc;

import cn.wps.moffice.service.doc.Font;
import cn.wps.moffice.service.doc.ParagraphFormat;
import cn.wps.moffice.service.doc.StyleType;
import cn.wps.moffice.service.doc.table.TableStyle;

//代表文档中的内置样式和用户定义的样式。
interface Style
{
	Font getFont();
	
	ParagraphFormat getParagraphFormat();
	
	//返回是否是 Word 的内置样式或题注标签之一
	boolean isBuiltIn();
	
	StyleType getStyleType();
	
	String getName();
	
	int getID();
	
	TableStyle getTableStyle();
}